global simexphandle progresshandle singtrialhandle

if(ishandle(simexphandle))
    close(simexphandle);
end

if(ishandle(singtrialhandle))
    close(singtrialhandle);
end
if(ishandle(progresshandle))
    close(progresshandle)
end


clear all
global abortflag lagshow lagset blanks SOA bdelay targetvariance base range resolution name simexphandle

%specifying these here is redundant actually, they are initialized in the
%figure execution, but it's handy as a reference


base = .85;
range = .5;
lagset= 1;
blanks = [ 0 0];
SOA = 100;
bdelay = 40;
targetvariance = 0;
resolution = range/4;
name = 'output.mat';
getlags(lagset,0)
abortflag = 0;

set(0,'Units','pixels');
sizefig = [100 100 700 500];
if(ispc)
    sizefig = [100 100 900 600];
end

    
simexphandle = SimulateExperiment('Units','Pixels','Position',sizefig);


