function eSTSTbattery(externalinput, graphics)
global T1perf T2perf abortflag runningflag
global BatT3Perf  BatT4Perf BatT1Perf BatT2Perf BatT1CPerf BatT2CPerf Batswap Swapbatterydata Equalgens doubleencoding Batdoub doubledata BatT2NCPerf BatT1No
global T3batterydata T4batterydata T1order T2order T3order T4order swaps swapdenom BatBothPerf
global spread range resolution base base2 SOA lagmultiply blanks name orderperf orderperf2  BatT3Rep  BatT4Rep BatT1Rep BatT2Rep condition RBflag condition order
global T1rangeflag blastersize threetarg spread2 progresshandle progressbar progresstitle lagstring numtargs targetvariance
global T1batterydata T2batterydata T3batterydata T4batterydata T5batterydata T6batterydata 
global T1batterydata2 T2batterydata2 T3batterydata2 T4batterydata2 T5batterydata2 T6batterydata2 



%%%%%%%%%%%%%%%%%%%%%%
% If not being called from a batch file, use default settings
if(externalinput ==0)
    range = .54;
    resolution = .1080;
    base = .8;
    bdelay = 3;
    SOA = 100;
    targetvariance = 0;
    blanks = [0,0 ];
    name = 'outputblink.mat';
    externalinput = 9;  %basic AB condition
end

%%%%%%%
%get the input set
getlags(externalinput,0)


T1varstart =0;
T2varstart =0;
T3varstart =0;
T4varstart =0;
T5varstart =0;
T6varstart =0;

T1varstop =0;
T2varstop =0;
T3varstop =0;
T4varstop =0;
T5varstop =0;
T6varstop =0;

T1rangeflag = 0;
T2rangeflag = 0;

if(T1rangeflag ==0)
    'Normal T1';
    T1varstart =round(-range/resolution);
    T1varstop = round(range/resolution);

elseif(T1rangeflag == 1)
    'Easy T1';
    T1varstart = floor((-range/2)/resolution) ;       %easy t1
    T1varstop = ceil(range/resolution);
else
    'Hard T1';
    T1varstart = floor(-range/resolution);    %hard t1
    T1varstop = ceil((range/2)/resolution);
end

T2varstart = round(-range/resolution);
T2varstop =  round(range/resolution);

if(numtargs > 2)
    T3varstart = round(-range/resolution);
    T3varstop =  round(range/resolution);
end

if(numtargs > 3)

    T4varstart = round(-range/resolution);
    T4varstop =  round(range/resolution);
end
if(numtargs > 4)

    T5varstart = round(-range/resolution);
    T5varstop =  round(range/resolution);
end
if(numtargs > 5)

    T6varstart = round(-range/resolution);
    T6varstop =  round(range/resolution);
end




T1batterydata= 0;
T2batterydata = 0;
T3batterydata= 0;
T4batterydata = 0;
T5batterydata = 0;
T6batterydata = 0;
T1batterydata2= 0;
T2batterydata2 = 0;
T3batterydata2= 0;
T4batterydata2 = 0;
T5batterydata2 = 0;
T6batterydata2 = 0;



Swapbatterydata = 0;
doubledata = 0;

T1offset = 1-T1varstart;




%display some info for the first trial of this battery
display = 1;

%how many trials in this battery?
Totaltrials = (T1varstop-T1varstart+1)*(T2varstop-T2varstart+1)*(T3varstop-T3varstart+1)*(T4varstop-T4varstart+1)*(T5varstop-T5varstart+1)*(T6varstop-T6varstart+1);

sprintf('Total Trials are %d',Totaltrials)
trialcount = 0;

%step through the 6 target strength values

for(t1=T1varstart:T1varstop)
    
  
    for(t2=T2varstart:T2varstop)
   
    
        for(t3=T3varstart:T3varstop)
            for(t4=T4varstart:T4varstop)
                for(t5=T5varstart:T5varstop)
                    for(t6=T6varstart:T6varstop)

                        
                        if(abortflag)
                            return
                        end
                        
                        
                        genval = max(0,base + t1 * resolution + targetvariance*rand-(targetvariance/2));
                        genval2 = max(0,base + t2 *resolution + targetvariance*rand-(targetvariance/2));
                        genval3 = max(0,base + t3 *resolution + targetvariance*rand-(targetvariance/2));
                        genval4 = max(0,base + t4 *resolution + targetvariance*rand-(targetvariance/2));
                        genval5 = max(0,base + t5 *resolution + targetvariance*rand-(targetvariance/2));
                        genval6 = max(0,base + t6 *resolution + targetvariance*rand-(targetvariance/2));
                        first = t1+1-T1varstart;
                        second = t2+1-T2varstart;
                        third = t3+1-T3varstart;
                        fourth = t4+1-T4varstart;
                        fifth = t5+1-T5varstart;
                        sixth = t6+1-T6varstart;
                       
                        
                        lagshow = 0;
                        
                        %Run the Model
                        eSTSTmodel(genval,genval2,genval3,genval4,genval5,genval6,lagshow,blanks,externalinput,display);
                        trialcount = trialcount + 1;
                        

                        if(graphics & ishandle(progressbar))
                            set(progresstitle,'String',lagstring);
                            set(progressbar,'Value',(trialcount/Totaltrials));
                            drawnow
                        end

                        trialeval(lagshow);  %get the performance and save it.  
                        T1batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,1),[1,1,1,1,1,1,1,8]);
                        T2batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,2),[1,1,1,1,1,1,1,8]);
                        T3batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,3),[1,1,1,1,1,1,1,8]);
                        T4batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,4),[1,1,1,1,1,1,1,8]);
                        T5batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,5),[1,1,1,1,1,1,1,8]);
                        T6batterydata(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf(:,6),[1,1,1,1,1,1,1,8]);

                        T1batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,1),[1,1,1,1,1,1,1,8]);
                        T2batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,2),[1,1,1,1,1,1,1,8]);
                        T3batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,3),[1,1,1,1,1,1,1,8]);
                        T4batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,4),[1,1,1,1,1,1,1,8]);
                        T5batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,5),[1,1,1,1,1,1,1,8]);
                        T6batterydata2(1,first,second,third,fourth,fifth,sixth,1:8) = reshape(orderperf2(:,6),[1,1,1,1,1,1,1,8]);

                        display = 0;   %only display info for the first trial
                    end
                end
            end
        end
    end
end





%having Completed the entire battery, it's time to compute the accuracy
analyzeblock


save(name,'blastersize','spread','condition','order','range','resolution','SOA','lagmultiply','BatT1Rep','BatT2Rep','BatT3Rep','BatT4Rep','BatT1Perf','BatT2Perf','BatT3Perf','BatT4Perf','T1batterydata','T2batterydata','T3batterydata','T4batterydata','T5batterydata','T6batterydata','T1batterydata2','T2batterydata2','T3batterydata2','T4batterydata2','T5batterydata2','T6batterydata2','BatBothPerf');


