function  getlags(lagtype,display)
global numtargs lags lagstring numconds 


def = 0;   %%initialize T1

numtargs = 4;

switch(lagtype)
    
        case(1)
        lagstring = sprintf('Basic AB Task\n 2 Targets\n8 Conditions:\nDDTTDD\nDDTDTDD\nDDTDDTDD\nDDTDDDTDD\nDDTDDDDTDD\nDDTDDDDDTDD\nDDTDDDDDDTDD\nDDTDDDDDDDTDD');
        numtargs = 2;

        numconds = 8;

        lags = [def, def+1, def-20,def-4;...
            def, def+2, def-20,def-5;...
            def, def+3, def-20,def-6;...
            def, def+4, def-20,def-7;...
            def, def+5, def-20,def-8;...
            def, def+6, def-20,def-9;...
            def, def+7, def-20,def-10;...
            def, def+8, def-20,def-11;] ;
    case (2)
        numconds = 8;
        lagstring = sprintf('Even lags\n2 Targets\n8 Conditions:\nDDTDTDD\nDDTDDDTDD\nDDTDDDDDTDD\nDDTDDDDDDDTDD\nDDTDDDDDDDDDTDD\nDDTDDDDDDDDDDDTDD\nDDTDDDDDDDDDDDDDTDD');
        numtargs = 2;
        lags = [def, def+2, def+20,def+4;...
            def, def+4, def+20,def+5;...
            def, def+6, def+20,def+6;...
            def, def+8, def+20,def+7;...
            def, def+10, def+20,def+8;...
            def, def+11, def+20,def+9;...
            def, def+12, def+20,def+10;...
            def, def+14, def+20,def+11;] ;

    
    case(3)  %basic spreading Sparing
        numconds = 4;
      
        lagstring = sprintf('Spreading Sparing 1\n3-4 targets\n4 Conditions\nDDTTTDDD\nDDTTDTDDD\nDDTDTTDD\nDDTTTTD');
        lags = [def, def+1, def+2,def-20;...       %DDDDDTTTDDD...DDDTD
            def, def+1, def+3,def-20;...       %DDDDDTTDTDD...DDDTD
            def, def+2, def+3,def-20;...       %DDDDDTDTTDD...DDDTD
            def, def+1, def+2,def+3;] ;        %DDDDDTTTTD

    case(4)    %TTTDxT    D
        lagstring = sprintf('Spreading Sparing 2\n4 Targets\n8 Conditions:\nDDTTTDTDD\nDDTTTDDTDD\nDDTTTDDDTDD\nDDTTTDDDDTDD\nDDTTTDDDDDTDD\nDDTTTDDDDDDTDD\nDDTTTDDDDDDDTDD\nDDTTTDDDDDDDDTDD');
        numconds = 8;
        lags = [def, def+1, def+2,def+4;...       %DDDDDTTTDTD
            def, def+1, def+2,def+5;...       %DDDDDTTTDDTD
            def, def+1, def+2,def+6;...       %DDDDDTTTDDDTD
            def, def+1, def+2,def+7;...       %DDDDDTTTDDDDTD
            def, def+1, def+2,def+8;...       %DDDDDTTTDDDDDTD
            def, def+1, def+2,def+9;...       %DDDDDTTTDDDDDDTD
            def, def+1, def+2,def+10;...      %DDDDDTTTDDDDDDDTD
            def, def+1, def+2,def+11;] ;      %DDDDDTTTDDDDDDDDTD

    case(5)   %TDxTTT
        lagstring = sprintf('Spreading Sparing 3\n4 Targets\n8 Conditions:\nDDTDTTTDD\nDDTDDTTTDD\nDDTDDDTTTDD\nDDTDDDDTTTDD\nDDTDDDDDTTTDD\nDDTDDDDDDTTTDD\nDDTDDDDDDDTTTDD\nDDTDDDDDDDDTTTDD');
        numconds = 8;
        lags = [def, def+1, def+2,def+3;...       %DDDDDTTTTD
            def, def+2, def+3,def+4;...       %DDDDDTDTTTD
            def, def+3, def+4,def+5;...       %DDDDDTDDTTTD
            def, def+4, def+5,def+6;...       %DDDDDTDDDTTTD
            def, def+5, def+6,def+7;...       %DDDDDTDDDDTTTD
            def, def+6, def+7,def+8;...       %DDDDDTDDDDDTTTD
            def, def+7, def+8,def+9;...       %DDDDDTDDDDDDTTTD
            def, def+8, def+9,def+10;];       %DDDDDTDDDDDDDTTTD
    
    case(6)
        numtargs = 6;
        lagstring = sprintf('6 targets\n2 Conditions:\nDDTTTDDDDDTTTDD\nDDTDTDTDTDTDTDD');
        numconds = 2;

        lags = [def, def+1, def+2,def+8, def+9,def+10;...       %TTTDDDDDTTT
            def, def+2, def+4,def+6,def+8,def+10;];             %TDTDTDTDTDT

    case(7)   %used for LLDLL experiment
        lagstring = sprintf('4 targets\n3 Conditions:\nTTTTM\nTTMTTM\nTTBTTM\nB = Blank, M = Mask');
        numconds = 3;
        lags = [def, def+1, def+2,def+3;...      %TTTT
            def, def+1, def+3,def+4;...          %TTDTT
            def, def+1, def+3,def+4;];           %TTDTT   %dealt with specially as unblanked
    case(8)
        %this is the Repetition Case.
        %lags 1 and 2 do TTTT
        %lags 3 and 4 do TDDT
        %lags 2 and 4 are the repetition case
        numconds = 4;

        lagstring = sprintf('RB Experiment\n2-4 Targets\n4 Conditions:\nDDTTTTDD\nDDTTTRDD\nDDTDDTDD\nDDTDDRDD\nR = Repeat of T1\nNote that the last targets in TDDx conditions are T4, not T2');
        lags = [def, def+1, def+2,def+3;...
            def, def+1, def+2,def+3;...
            def, def-19, def-20,def+3;...
            def, def-19, def-20,def+3;] ;
    case(9)
        lagstring = sprintf(' Clustered or Spread\n3 Targets\n2 Conditions:\nDDTTTDD\nDDTDDTDDTDD');

        numtargs = 3;
        numconds = 2;

        lags = [def, def+1, def+2,def-20;...       %TTTD
            def, def+3, def+6,def-20;];           %TDDTDDT

    case (10)
        numconds = 2;
        numtargs = 4;
        lagstring = sprintf('Clustered or Spread\n4 Targets\n2 Conditions:\nDDTTTTD\nDDTDTDTDTD');
        lags = [def, def+1, def+2,def+3;...   %DDTTTTDD
            def, def+2, def+4,def+6;];      %DDTDTDTDTD
end

if(display)
    lagstring
end
